> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herondata.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get EndUser physical location

> Get the company physical address coordinates



## OpenAPI

````yaml https://app.herondata.io/swagger get /api/end_users/{end_user_id_or_heron_id}/location
openapi: 3.0.0
info:
  contact:
    email: support@herondata.io
    name: Support
  title: Heron Data API
  version: '2021-07-19'
servers:
  - description: Production
    url: https://app.herondata.io
security:
  - ApiKeyAuth:
      - key_XXX
externalDocs:
  description: Read Tutorial
  url: https://docs.herondata.io/
paths:
  /api/end_users/{end_user_id_or_heron_id}/location:
    get:
      tags:
        - EndUsers
      summary: Get EndUser physical location
      description: Get the company physical address coordinates
      parameters:
        - in: path
          name: end_user_id_or_heron_id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EndUserAddressLocationSchema'
          description: OK
      security:
        - ApiKeyAuth: []
components:
  schemas:
    EndUserAddressLocationSchema:
      properties:
        company_physical_address:
          allOf:
            - $ref: '#/components/schemas/AddressLocation'
          nullable: true
      type: object
    AddressLocation:
      properties:
        lat:
          type: number
        lng:
          type: number
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-api-key
      type: apiKey

````